io.vertx.rxjava3.ext.shell.command

## Class Command

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.command.Command

-     public class Command
      extends Object

  A Vert.x Shell command, it can be created from any language using the `CommandBuilder.command(java.lang.String)` or from a Java class using `io.vertx.rxjava3.ext.shell.command.Command#create`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Command>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Command(Command delegate)`
    `Command(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLI` | `cli()`
    `void` | `complete(Completion completion)` Perform command completion, when the command is done completing it should call or )} method to signal completion is done.
    `Process` | `createProcess()` Create a new process with empty arguments.
    `Process` | `createProcess(List<CliToken> args)` Create a new process with the passed arguments.
    `boolean` | `equals(Object o)`
    `Command` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `name()`
    `static Command` | `newInstance(Command arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Command> __TYPE_ARG

  - ### Constructor Detail

    - #### Command

          public Command(Command delegate)

    - #### Command

          public Command(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Command getDelegate()

    - #### name

          public String name()

      Returns:
        the command name

    - #### cli

          public CLI cli()

      Returns:
        the command line interface, can be null

    - #### createProcess

          public Process createProcess()

      Create a new process with empty arguments.
      Returns:
        the process

    - #### createProcess

          public Process createProcess(List<CliToken> args)

      Create a new process with the passed arguments.
      Parameters:
        `args` - the process arguments
      Returns:
        the process

    - #### complete

          public void complete(Completion completion)

      Perform command completion, when the command is done completing it should call or )} method to signal completion is done.
      Parameters:
        `completion` - the completion object

    - #### newInstance

          public static Command newInstance(Command arg)

Copyright © 2024 Eclipse. All rights reserved.